JarProtocolVisitor (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.packaging
Class JarProtocolVisitor

    java.lang.Object
      org.hibernate.ejb.packaging.JarProtocolVisitor

All Implemented Interfaces:
  JarVisitor

    public class JarProtocolVisitor

extends Object
implements JarVisitor

Constructor Summary
`JarProtocolVisitor(URL url, Filter[] filters, String entry)`

Method Summary
`Filter[]` | `getFilters()`
`Set[]` | `getMatchingEntries()` Return the matching entries for each filter in the same order the filter where passed
`String` | `getUnqualifiedJarName()` Get the unqualified Jar name (ie wo path and wo extension)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JarProtocolVisitor

    public JarProtocolVisitor(URL url,
                              Filter[] filters,
                              String entry)

Method Detail

### getUnqualifiedJarName

    public String getUnqualifiedJarName()

  Description copied from interface: `JarVisitor`
  Get the unqualified Jar name (ie wo path and wo extension)

  Specified by:
    `getUnqualifiedJarName` in interface `JarVisitor`
  Returns:
    the unqualified jar name.

### getFilters

    public Filter[] getFilters()

  Specified by:
    `getFilters` in interface `JarVisitor`

### getMatchingEntries

    public Set[] getMatchingEntries()
                             throws IOException

  Description copied from interface: `JarVisitor`
  Return the matching entries for each filter in the same order the filter where passed

  Specified by:
    `getMatchingEntries` in interface `JarVisitor`
  Returns:
    array of Set of JarVisitor.Entry
  Throws:
    `IOException` - if something went wrong

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.